# Generated from soft_deletion-1.6.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name soft_deletion

Name: rubygem-%{gem_name}
Version: 1.6.0
Release: 1%{?dist}
Summary: Explicit soft deletion for ActiveRecord via deleted_at and default scope
License: MIT
URL: https://github.com/grosser/soft_deletion
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.5.0
# BuildRequires: rubygem(sqlite3)
# BuildRequires: rubygem(rspec) >= 3.5
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(database_cleaner) >= 1.5.1
# BuildRequires: rubygem(bump)
# BuildRequires: rubygem(single_cov)
# BuildRequires: rubygem(byebug)
BuildArch: noarch

%description
Explicit soft deletion for ActiveRecord via deleted_at and default scope.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/Readme.md

%changelog
* Wed Sep 15 2021 mockbuilder - 1.6.0-1
- Initial package
